#include <windows.h>
#include <iostream>

HWND hExit;

LRESULT CALLBACK WndProc(HWND,UINT,WPARAM,LPARAM);

INT WINAPI WinMain(HINSTANCE hInstance,HINSTANCE,LPSTR lStart,INT nShow){
    WNDCLASSEX wc;
    wc.hInstance=hInstance;
    wc.lpszClassName="mojaKlasaOkna"; /* (Nazwa klasy nowego okna.) */
    wc.lpfnWndProc=WndProc; /* (Wskanik funkcji procedury okna.) */
    wc.style=0/* CS_DBLCLKS */;
    wc.cbSize=sizeof(WNDCLASSEX);
    wc.hIcon=LoadIcon(0,IDI_APPLICATION); /* (Ikona normalna.) */
    wc.hIconSm=LoadIcon(0,IDI_APPLICATION); /* (Ikona maa 16 x 16.) */
    wc.hCursor=LoadCursor(0,IDC_ARROW); /* (Kursor domylny.) */
    wc.lpszMenuName=0;
    wc.hbrBackground= 0;//(HBRUSH)GetStockObject(WHITE_BRUSH); /* (To okna.) */
    wc.cbWndExtra=0;
    wc.cbClsExtra=0;

    if(RegisterClassEx(&wc)==0)
        return 0;

    HWND hWnd = CreateWindowEx(WS_EX_CLIENTEDGE | WS_EX_TOPMOST,
                "mojaKlasaOkna", /* (Klasa okna.) */
                "Okienko", /* (Tytu okna.) */
                WS_VISIBLE | WS_POPUP /*WS_OVERLAPPEDWINDOW*/, /* (Style okna.) */
                200, /* (Szeroko okna.) */
                120, /* (Wysoko okna.) */
                400, /* (Pooenie x.) */
                220, /* (Pooenie y.) */
                0,0,hInstance,0);
    if(!hWnd)
        return 0;

    /* Alphablend - ustawienie przeroczystoci okna: */
    LONG lWnd = GetWindowLong(hWnd, GWL_EXSTYLE);
    SetWindowLong(hWnd, GWL_EXSTYLE, lWnd | WS_EX_LAYERED /*|WS_EX_TOOLWINDOW*/);
    SetLayeredWindowAttributes(hWnd, RGB(0, 0, 0),
            180, /* (Stopie przeroczystoci.) */
            /*LWA_COLORKEY |*/ LWA_ALPHA);

    /* Wywietlenie okna: */
    ShowWindow(hWnd, SW_SHOWNORMAL | SW_SHOW);
    /* Utworzenie przycisku: */
    hExit=CreateWindowEx(0, "BUTTON", "Close",
                WS_CHILD | WS_VISIBLE,
                230, 5, 90, 25, hWnd, NULL,
                hInstance, NULL);
    /* Po dodaniu przycisku, trzeba odwiey okno: */
    UpdateWindow(hWnd);

    /* Ptla komunikatw okna: */
    MSG msgs;
    while(GetMessage(&msgs,0,0,0)){
        TranslateMessage(&msgs);
        DispatchMessage(&msgs);
    }
    return msgs.wParam;
}

LRESULT CALLBACK WndProc(HWND hwnd,UINT msg,WPARAM wPar,LPARAM lPar){
    switch(msg){
        case WM_COMMAND:{
            if ((HWND)lPar==hExit){
                SendMessage(hwnd, WM_CLOSE,0,0);
            }
        }
        case WM_PAINT:{
            break;}
        case WM_DESTROY:
            PostQuitMessage(0);
            break;
        default:
            return DefWindowProc(hwnd,msg,wPar,lPar);
    }
    return 0;
}
